C-----------------------------------------------------------------------
      module output
       use highlevel
       use midlevel
       use orbital,only:ALPHA
       use jastrow, only:CJAS
       use observables
       implicit none
       integer,public     :: ios
       public  ::  INITOUT,OUTWRITE,OUTLOG
      contains
C-----------------------------------------------------------------------
      subroutine INITOUT
C  Read variables if not an input file is present 
       open(unit=11,file='INPUT_CUBICQD_CLUSTER.DAT',
     &      iostat=ios,status='old')
       if (ios == 0) then 
        read(11,*) STEPMAX
        read(11,*) CJAS
        read(11,*) ALPHA
       else
        write(*,*)'STEPMAX=?'
        read(*,*) STEPMAX
        write(*,*)'STEPMAX = ',STEPMAX
        write (*,*)'CJAS=?'
        read (*,*) CJAS
        write (*,*)'CJAS = ',CJAS
        write (*,*) 'ALPHA=?'
        read (*,*) ALPHA
        write (*,*)'ALPHA = ',ALPHA
       end if
       close (11)
       open(unit=31,file='AVERAGE_ENERGY.DAT',status='unknown',
     &  position='append')
C       open(unit=35,file='RAD_DENSITY_EL1.DAT',status='unknown')
C       open(unit=36,file='RAD_DENSITY_EL2.DAT',status='unknown')
C       open(unit=37,file='RAD_DENSITY_EL3.DAT',status='unknown')
      end subroutine INITOUT
C-----------------------------------------------------------------------
      subroutine OUTWRITE
       integer       :: j,jj
C       do jj=1,NE
C        do j=1,NRHO
C         write(34+jj,*) j*DRHO,AVRHORAD(j,jj)*(j*DRHO)**2
C        end do
C       end do
       write(31,'(3f7.3,2f12.6)')CJAS,ALPHA,AVTOTALL,
     &                           VARTOTALL
      end subroutine OUTWRITE
C-----------------------------------------------------------------------
      subroutine OUTLOG
C
       write(*,*)'Maximum step in QMC jump = ',STEPMAX
       write(*,*)'Number of Monte Carlo steps after thermalization= ',
     +            MCMAX-MCPRE,
     +           'Ratio of accepted steps = ',
     +            100._dp*DBLE(MCOUNT)/DBLE(NE*(MCMAX-MCPRE+1)),' %  '
       write(*,*) ' '
       write(*,*)'Total energy averaged over electrons=',AVTOTALL
       write(*,*)'Variance=',VARTOTALL
       write(*,*) ' '
       write(*,*)'Total energy per electron=',AVELEN
       write(*,*)'Variance=',VARELEN
       write(*,*)'Sum=',sum(AVELEN(1:NE))
       write(*,*)'Normalized sum=',sum(AVELEN(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Block average of total energy per electron=',AVBLOCKEL
       write(*,*)'Variance=',VARBLOCKEL
       write(*,*)'Sum=',sum(AVBLOCKEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVBLOCKEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Kinetic energy per electron=',AVKINEL
       write(*,*)'Variance=',VARKINEL
       write(*,*)'Sum=',sum(AVKINEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVKINEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Velocity form of the kinetic energy per electron=',
     +            AVVELEL
       write(*,*)'Variance=',VARVELEL
       write(*,*)'Sum=',sum(AVVELEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVVELEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Potential energy per electron=',AVPOTEL
       write(*,*)'Variance=',VARPOTEL
       write(*,*)'Sum=',sum(AVPOTEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVPOTEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Coulomb energy per electron=',AVINTEL
       write(*,*)'Variance=',VARINTEL
       write(*,*)'Sum=',sum(AVINTEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVINTEL(1:NE))/dble(NE)
C
       close(31)
C       close(35)
C       close(36)
C       close(37)
      end subroutine OUTLOG
C-----------------------------------------------------------------------
      end module output
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
