C-----------------------------------------------------------------------
      module output
       use highlevel
       use midlevel
       use orbital,only:SLAP
       use jastrow, only:CJAS
       use observables
       implicit none
       public  ::  INITOUT,OUTWRITE,OUTLOG
      contains
C-----------------------------------------------------------------------
      subroutine INITOUT
       open(unit=31,file='AVERAGE_ENERGY.DAT',status='unknown')
       open(unit=35,file='RAD_DENSITY_EL1s.DAT',status='unknown')
       open(unit=36,file='RAD_DENSITY_EL1p.DAT',status='unknown')
       open(unit=37,file='RAD_DENSITY_EL1d.DAT',status='unknown')
       open(unit=38,file='RAD_DENSITY_TOT.DAT',status='unknown')
      end subroutine INITOUT
C-----------------------------------------------------------------------
      subroutine OUTWRITE
       integer       :: j,jj
       real(dp)  :: dd

       write(31,'(2f7.3,2f12.6)')CJAS,SLAP,AVTOTALL,
     &                           VARTOTALL

       do j=1,NRHO
          write(35,*) j*DRHO,AVRHORAD(j,1)*(j*DRHO)**2
          write(36,*) j*DRHO,AVRHORAD(j,2)*(j*DRHO)**2
          write(37,*) j*DRHO,AVRHORAD(j,5)*(j*DRHO)**2
          dd=0.0_dp
          do jj=1,NE
           dd=dd+AVRHORAD(j,jj)*(j*DRHO)**2
          end do
          write(38,*) j*DRHO,4.0_dp*pi*dd
       end do
      end subroutine OUTWRITE
C-----------------------------------------------------------------------
      subroutine OUTLOG

       write(*,*)'Maximum step in QMC jump = ',STEPMAX
       write(*,*)'Number of Monte Carlo steps after thermalization= ',
     +            MCMAX-MCPRE,
     +           'Ratio of accepted steps = ',
     +            100._dp*DBLE(MCOUNT)/DBLE(NE*(MCMAX-MCPRE+1)),' %  '
       write(*,*) ' '
       write(*,*)'Total energy averaged over electrons=',AVTOTALL
       write(*,*)'Variance=',VARTOTALL
       write(*,*) ' '
       write(*,*)'Total energy per electron=',AVELEN
       write(*,*)'Variance=',VARELEN
       write(*,*)'Sum=',sum(AVELEN(1:NE))
       write(*,*)'Normalized sum=',sum(AVELEN(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Block average of total energy per electron=',AVBLOCKEL
       write(*,*)'Variance=',VARBLOCKEL
       write(*,*)'Sum=',sum(AVBLOCKEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVBLOCKEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Kinetic energy per electron=',AVKINEL
       write(*,*)'Variance=',VARKINEL
       write(*,*)'Sum=',sum(AVKINEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVKINEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Velocity form of the kinetic energy per electron=',
     +            AVVELEL
       write(*,*)'Variance=',VARVELEL
       write(*,*)'Sum=',sum(AVVELEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVVELEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Potential energy per electron=',AVPOTEL
       write(*,*)'Variance=',VARPOTEL
       write(*,*)'Sum=',sum(AVPOTEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVPOTEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Coulomb energy per electron=',AVINTEL
       write(*,*)'Variance=',VARINTEL
       write(*,*)'Sum=',sum(AVINTEL(1:NE))
       write(*,*)'Normalized sum=',sum(AVINTEL(1:NE))/dble(NE)
       write(*,*) ' '
       write(*,*)'Self-energy of positive background per electron=',
     +            EPOSBACK/dble(NE)
       write(*,*)'Sum=',EPOSBACK
       close(31)
       close(35)
       close(36)
       close(37)
       close(38)
      end subroutine OUTLOG
C-----------------------------------------------------------------------
      end module output
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
