#!/bin/bash

#PBS -N N444_13
#
JOB="N444_13"
WD=$HOME/wiss/Lisolidmc/all_nuclei/sin_Ewald/NK4_4_4/new444/sanfermin/work/$JOB
HD=$HOME/wiss/Lisolidmc/all_nuclei/sin_Ewald/NK4_4_4/new444/sanfermin

if test ! -e $WD
then
echo "because $WD does not exist, it is generated"
mkdir $WD
fi

cd $WD

cp $HD/*.f .
gfortran -C M_variables_Lisolid.f M_random_Lisolid.f M_orbital_Lisolid_HF.f \
 M_lattice_Lisolid.f M_determinant_Lisolid.f M_ewald.f  M_jastrow_Lisolid.f \
 M_observables_Lisolid.f M_output_Lisolid.f Lisolid.f -o Licluster.x
cp $HD/Li_begin.job .
cp $HD/AKF.DAT .
cp $HD/LATTICE_LI.DAT .
touch AVERAGE_ENERGY.DAT
cp $HD/PSILIDAT.DAT .
cp $HD/VEWDAT.DAT .
cp $HD/VEW2DAT.DAT .

echo 'Work begins at :' 
date -R 

AB="  "
#A="0.83  0.84  0.85  0.86 0.87"
#B="0.96  0.97  0.98"
A="0.89"
B="1.00"
CJAS=0.20
echo CJAS=
echo $CJAS
C="_"
n=0
for i in $B 
do
  SL1=`expr 100 \+ $n \* 1`
  n=`expr $n + 1`
  for k in $A
  do
  cat > aaa$SL1$C$k << EZ!
1000  80000  200
$i$AB$k
1.0
$CJAS
[EOF]
EZ!
  cat Li_begin.job aaa$SL1$C$k > Li_$SL1$C$k.job
  chmod 700 Li_$SL1$C$k.job
  ./Li_$SL1$C$k.job > Li_out_$JOB$C$SL1$C$k.log
  done
done

echo 'Work ends at:' 
date -R 


