C-----------------------------------------------------------------------
      module output
       use highlevel
       use midlevel
       use orbital_HF
       use jastrow
       use observables
      contains
C-----------------------------------------------------------------------
      subroutine INITOUT
       open(unit=36,file='RAD_DENSITY.DAT',status='unknown')
      end subroutine INITOUT
C-----------------------------------------------------------------------
      subroutine OUTWRITE
       integer                       :: j,jj
       real(dp),dimension(NRHO)      :: denarr
       denarr = 0._dp
       do jj=1,NE
        do j=1,NRHO
         denarr(j) = denarr(j) + AVRHORAD(j,jj)*(j*DRHO)**2
        end do
       end do
       denarr = denarr/NE
       write(36,'(1(1x,f17.3,e12.5))') (j*DRHO,denarr(j),j=1,NRHO)
      end subroutine OUTWRITE
C-----------------------------------------------------------------------
      subroutine OUTLOG
       integer                  :: m1,m2,m3
       real(dp)                 :: hout
       write(*,*)'STEPMAX = ',STEPMAX
       write(*,*)'run: MCMAX-MCPRE= ',MCMAX-MCPRE,' acc. ratio = ',
     &           100._dp*DBLE(MCOUNT)/DBLE(NE*(MCMAX-MCPRE+1)),' %  '
C       write(*,*)'AVELEN(IE) = average energy of electron IE:'
C       write(*,'(5(1x,f12.3))') AVELEN
C       write(*,*)'VARELEN(IE) = variance of energy of electron IE:'
C       write(*,'(5(1x,f17.3))') VARELEN
       write(*,*)'AVTOTALL=',AVTOTALL
       write(*,*)'VARTOTALL=',VARTOTALL
C       write(*,*)'AVBLOCKEL(IE) = ',
C     &  'energy average of blocks of steps of electron IE'
C       write(*,'(5(1x,f12.3))') AVBLOCKEL
C       write(*,*)'VARBLOCKEL(IE) = ',
C     &  'energy variance of blocks of steps of electron IE'
C       write(*,'(5(1x,f17.3))') VARBLOCKEL
       write(*,*)'AVALLBLOCKS=',AVALLBLOCKS
       write(*,*)'VARALLBLOCKS=',VARALLBLOCKS
C       write(*,*)'AVKINEL(IE) =  average kinetic energy of electron IE'
C       write(*,'(5(1x,f12.3))') AVKINEL
C       hout = sum (AVKINEL)/dble(NE)
C       write(*,*)'total kinetic energy per electron =',hout
C       write(*,*)'VARKINEL(IE)='
C       write(*,'(5(1x,f17.3))') VARKINEL
       write(*,*)'AVTOTKIN=',AVTOTKIN
       write(*,*)'VARTOTKIN=',VARTOTKIN
C       write(*,*)'AVVELEL(IE) =',
C     &  'average kinetic energy of electron IE with velocity'
C       write(*,'(5(1x,f12.3))') AVVELEL
       hout = sum (AVVELEL)/dble(NE)
       write(*,*)'Total velocity kin.energy per electron =',hout
       write(*,*)'Velocity variance=',sum (VARVELEL)/dble(NE)
C       write(*,'(5(1x,f17.3))') VARVELEL
C       write(*,*)'AVPOTEL =',
C     &  'average one_particle potential energy of electron IE'
C       write(*,'(5(1x,f12.3))') AVPOTEL
C       hout = sum (AVPOTEL)/dble(NE)
C       write(*,*)'total potential energy per electron =',hout
C       write(*,*)'VARPOTEL='
C       write(*,'(5(1x,f17.3))') VARPOTEL
       write(*,*)'Electron-nucleus interaction: AVTOTPOT=',AVTOTPOT
       write(*,*)'VARTOTPOT=',VARTOTPOT
C       write(*,*)'AVINTEL =',
C     &  'average interaction energy of electron IE'
C       write(*,'(5(1x,f12.3))') AVINTEL
C       hout = sum (AVINTEL)/dble(NE)
C       write(*,*)'total interaction energy per electron =',hout
C       write(*,*)'VARINTEL='
C       write(*,'(5(1x,f17.3))') VARINTEL
       write(*,*)'Electron-electron interaction: AVTOTINT=',AVTOTINT
       write(*,*)'VARTOTINT=',VARTOTINT
       write(*,*)'Virial without Ewald: AVTOTVIR=',AVTOTVIR
       write(*,*)'VARTOTVIR=',VARTOTVIR
       write(*,*)'Virial with Ewald: AVTOTVIREW=',AVTOTVIREW
       write(*,*)'VARTOTVIREW=',VARTOTVIREW
       write(*,*)'Internuclear energy per electron: NUNUEN = ',NUNUEN
       write(*,*)'Total Energy without Ewald el-el interaction=',
     &  AVTOTALL+NUNUEN
       write(*,*)'Model-periodic Coulomb correction per electron:
     &  MPC=',MPC
       write(*,*)'Total energy with MPC=',AVTOTALL+NUNUEN+MPC,'a.u.'
       write(*,*)'Total variance=',VARTOTALL,'a.u.'
       write(*,*)'Integrated local density=',DENINT,'NE=',NE
       open (unit=40,file='LOCAL_DENSITY.DAT',status='unknown')
       write(40,*)'Local density'
       write(40,'(3i3,1f10.5)')(((m1,m2,m3,AVLOCDEN(m1,m2,m3),
     &     m1=1,NDEN),m2=1,NDEN),m3=1,NDEN)
       close(40)
       close(36)
C       close(37)
C       close(38)
      end subroutine OUTLOG
C-----------------------------------------------------------------------
      end module output
C-----------------------------------------------------------------------
C-----------------------------------------------------------------------
